## iceweasel 29.0.1

=== debian/changelog ===
iceweasel (29.0.1-1+alpha) unreleased; urgency=low

  * Compiler optimisation set to -O1 on Alpha.
  * Don't use -Wl,--no-keep-memory during linking on Alpha.
  * Use mmap syscall on Alpha in memory/mozjemalloc directory.
  * Hardcode pagesize on Alpha.

 -- Michael Cree <mcree@orcon.net.nz>  Sun, 18 May 2014 13:45:39 +1200

iceweasel (29.0.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/control*, debian/rules: Don't separate out the libdbusservice
    component for dh_shlibdeps. libxul.so has had the same dependencies for
    a while anyways.
  * debian/rules: Replace occurrences of /usr/lib/$($(PRODUCT)) with
    $(LIB_DIR).
  * debian/xulrunner-dev.links.in: Install nspr-config in the sdk, not the
    application directory. Also don't install it when building with bundled
    nspr.
  * debian/browser.mozconfig*, debian/rules: Move --with-system-nspr/nss flags
    to browser.mozconfig.
  * debian/rules: Use browser.mozconfig to build l10n.
  * debian/control*, debian/rules, debian/xulrunner.mozconfig.in: Build against
    gstreamer 1.0 when possible.

  * js/src/jit/BaselineIC.cpp, js/src/jit/arm/MacroAssembler-arm.cpp,
    js/src/jit/arm/MacroAssembler-arm.h: Fix mis-refactoring, and add some
    asserts to let debug users know that float32 can be broken. bz#957504.
  * Pass JSVAL as a pointer to the structure on ppc. bz#961488.
  * configure.in, content/media/gstreamer/GStreamerAllocator.*,
    content/media/gstreamer/GStreamerFormatHelper.cpp,
    content/media/gstreamer/GStreamerFunctionList.h,
    content/media/gstreamer/GStreamerLoader.*,
    content/media/gstreamer/GStreamerReader*,
    content/media/gstreamer/moz.build, content/media/test/manifest.js: Add
    support for GStreamer 1.0. bz#806917.

 -- Mike Hommey <glandium@debian.org>  Sun, 11 May 2014 15:53:14 +0900

iceweasel (29.0-2) experimental; urgency=medium

  * debian/rules: Don't use find to get the list of autoconf.mk and
    emptyvars.mk files. This should fix the FTBFSes on i386 and armhf.
  * debian/branding/content/Makefile.in, debian/branding/content/jar.mn,
    debian/branding/locales/Makefile.in, debian/branding/locales/jar.mn:
    Add missing icons to branding. Closes: #747049.
  * debian/browser.links.in: Remove dangling /usr/lib/iceweasel/browser/modules.
    Closes: #746529.

  * gfx/src/nsDeviceContext.cpp: Backout bz#991767 for causing bz#1003707.
    Closes: #746598.

 -- Mike Hommey <glandium@debian.org>  Wed, 07 May 2014 10:30:20 +0900

iceweasel (29.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{34,36-39,41-44,46-47}, almost known as:
    CVE-2014-1518, CVE-2014-1519, CVE-2014-1522, CVE-2014-1523,
    CVE-2014-1525, CVE-2014-1528, CVE-2014-1529, CVE-2014-1530,
    CVE-2014-1531, CVE-2014-1532, CVE-2014-1526.

  * debian/control*: Bump nspr and sqlite3 build dependencies.
  * debian/rules: Adjust AUTOCONF_DIRS.
  * debian/branding/moz.build, debian/branding/content/moz.build,
    debian/branding/locales/moz.build: Add now necessary definition for jar.mn.
  * debian/branding/configure.sh: Set MOZ_APP_NAME.
  * debian/browser.install.in, debian/browser.mozconfig, debian/rules:
    Use omnijar chrome format for browser.
  * debian/control*: Build depend on iso-codes.

  * config/makefiles/target_binaries.mk, config/rules.mk, js/src/Makefile.in:
    Revert changes to add sonames, since the last library this was used for
    is mozjs, and it was removed in 28.0-1.

 -- Mike Hommey <glandium@debian.org>  Mon, 28 Apr 2014 23:21:57 -0700

iceweasel (28.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{15,17-20,22-23,26-32}, also known as
    CVE-2014-1493, CVE-2014-1494, CVE-2014-1497, CVE-2014-1498,
    CVE-2014-1499, CVE-2014-1500, CVE-2014-1502, CVE-2014-1504,
    CVE-2014-1508, CVE-2014-1509, CVE-2014-1505, CVE-2014-1510,
    CVE-2014-1511, CVE-2014-1512, CVE-2014-1513, CVE-2014-1514.

  * debian/branding/content/Makefile.in, debian/branding/content/jar.mn,
    debian/branding/content/wordmark.xsl: Adapt Iceweasel branding to upstream
    changes. Closes: #739797.
  * debian/extra-stuff/Makefile.in, debian/installer/Makefile.in,
    debian/rules: Fix various places to use the new location of the upstream
    preprocessor.
  * debian/control*:
    - Bump nspr, sqlite and vpx build dependencies.
    - Add build dependency on libpulse-dev.
  * debian/branding/content/Makefile.in: Fix iceweasel branding build after
    bz#934361.
  * moz.build, debian/rules, debian/extra-stuff/moz.build: Add
    debian/extra-stuff to upstream build system directory traversal.
  * moz.build: Make upstream build system create debian/installer/Makefile.
  * debian/rules: Remove rules to create Makefiles, they don't work anymore.
  * debian/rules: Fix dh_xulrunner npapi check to fit upstream changes.
  * debian/xulrunner.mozconfig.in, debian/control*: Use in-tree libvpx for
    backports.
  * debian/latest_nightly.py: Use ftplib instead of ftputil.
  * debian/noinstall.in, debian/xulrunner-dev.install.in: Install
    mozilla-nspr.pc and mozilla-nss.pc when building backports. Closes: #739490.
  * debian/control*, debian/libmozjs*, debian/noinstall.in, debian/rules,
    debian/smjs.1, debian/spidermonkey-bin*,
    debian/xulrunner-GRE_VERSION.links.in, debian/xulrunner-dev.install.in,
    debian/xulrunner.mozconfig.in: Stop building spidermonkey packages.
  * debian/xulrunner.mozconfig.in: Enable unified compilation for faster builds,
    smaller debug info and possibly less memory usage when linking.

  * modules/libpref/src/moz.build, modules/libpref/src/Makefile.in: Fixup
    MOZ_OFFICIAL_BRANDING use for phishing shavar after upstream build system
    changes.
  * xulrunner/installer/mozilla-ns*.pc.in: Fix includedir in mozilla-nspr.pc
    and mozilla-nss.pc. bz#985200.

 -- Mike Hommey <glandium@debian.org>  Wed, 19 Mar 2014 13:18:08 +0900

iceweasel (27.0.1-1) experimental; urgency=medium

  * New upstream release.


