## iceweasel 31.2.0esr

=== debian/changelog ===
iceweasel (31.2.0esr-2+hurd.0) unreleased; urgency=medium

  * 0001-Hurd-support.patch.

 -- Richard Braun <rbraun@sceen.net>  Fri, 31 Oct 2014 13:19:19 +0100

iceweasel (31.2.0esr-2) unstable; urgency=medium

  * debian/control*, debian/rules: Do not build depend on gstreamer 1.0 when
    building a backport.

  * netwerk/base/public/security-prefs.js,
    security/manager/ssl/src/nsNSSComponent.cpp: Disable SSLv3 to address
    CVE-2014-3566. bz#1076983.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Oct 2014 10:32:34 +0900

iceweasel (31.2.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{74-76,79,81-82}, also known as:
    CVE-2014-1574, CVE-2014-1576, CVE-2014-1577, CVE-2014-1581,
    CVE-2014-1585, CVE-2014-1586, CVE-2014-1583.

  * debian/browser.install.in, debian/rules, debian/upstream.mk: Install
    libreplace_malloc.so when building a nightly.
  * debian/browser.install.in, debian/control.in, debian/rules,
    debian/upstream.mk, debian/vendor.js.in: Change how official branding is
    handled.
  * debian/rules: Disable tests on stable-security.

  * toolkit/components/search/nsSearchService.js: Bump search engine max icon
    size to 35kB. Closes: #749084.
  * build/autoconf/compiler-opts.m4, config/rules.mk: Build target programs as
    position independent executable when supported by gcc/clang. bz#857628.

 -- Mike Hommey <glandium@debian.org>  Wed, 15 Oct 2014 08:53:18 +0900

iceweasel (31.1.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{67-70,72}, also known as:
    CVE-2014-1562, CVE-2014-1553, CVE-2014-1563, CVE-2014-1564,
    CVE-2014-1565, CVE-2014-1567.

  * debian/browser.bug-script.in, debian/browser.install.in,
    debian/extra-stuff/Makefile.in, debian/extra-stuff/reportbug-helper-script,
    debian/installer/package-manifest.browser: Fix bug script.
  * debian/branding/content/Makefile.in: Revert branding changes for SVG
    wordmark, not used on ESR

 -- Mike Hommey <glandium@debian.org>  Wed, 03 Sep 2014 12:17:18 +0900

iceweasel (31.0-3) unstable; urgency=high

  * The "this time it's going to build on armel" release.

  * debian/rules, debian/control*: Update configure with autoconf2.13 every
    time.

  * configure.in: Use integers for audio when on Android, or when using ARM
    on other OSes, and disable webm encoding. bz#1047791.

 -- Mike Hommey <glandium@debian.org>  Sun, 03 Aug 2014 09:52:28 +0900

iceweasel (31.0-2) unstable; urgency=high

  * Urgency set to high to have a faster transition after armel FTBFS is
    fixed (which is the only thing that prevented the transition).
  * debian/control*: Remove forced gcc-4.9 build dependency for armhf.

  * media/libopus/moz.build: Disable some libopus ARM features on < ARMv6.
    bz#1025689.

 -- Mike Hommey <glandium@debian.org>  Sat, 02 Aug 2014 09:28:53 +0900

iceweasel (31.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes crashes in WbGL when building with GCC 4.9. Closes: #751569.
  * Fixes for mfsa2014-{56-58,60-62,64-66}, also known as:
    CVE-2014-1547, CVE-2014-1548, CVE-2014-1549, CVE-2014-1550,
    CVE-2014-1561, CVE-2014-1555, CVE-2014-1556, CVE-2014-1557,
    CVE-2014-1558, CVE-2014-1559, CVE-2014-1560, CVE-2014-1552.

  * debian/browser.lintian-overrides.in: Add lintian override for embedded
    srtp.
  * debian/browser.NEWS.in: Add a NEWS file to note the deprecation of
    NTLMv1 authentication.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Jul 2014 08:00:15 +0900

iceweasel (30.0-2) unstable; urgency=medium

  * debian/browser-dev.install.in, debian/control*, debian/libxul.pc.in,
    debian/mozilla-nspr.pc.in, debian/mozilla-plugin.pc.in, debian/rules:
    Add a few pkg-config files to the iceweasel-dev package. Closes: #751268.

  * gfx/skia/trunk/src/opts/SkBlitRow_opts_arm.cpp: Re-apply patch from
    bz#901208 that upstream dropped when updating skia.

 -- Mike Hommey <glandium@debian.org>  Sat, 14 Jun 2014 09:30:39 +0900

iceweasel (30.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{48-49,51-54}, almost known as:
    CVE-2014-1533, CVE-2014-1534, CVE-2014-1536, CVE-2014-1537,
    CVE-2014-1538, CVE-2014-1540, CVE-2014-1541, CVE-2014-1542,
    CVE-2014-1543.

  * debian/control*: Bump sqlite3 and nspr build dependencies.
  * debian/rules: Don't check autoconf.mk and emptyvars.mk in js/src/config,
    that's not used anymore.
  * debian/browser-dev.install.in, debian/browser-dev.links.in,
    debian/browser.install.in, debian/browser.links.in,
    debian/browser.lintian-overrides.in, debian/browser.mozconfig.in
    debian/control*, debian/extra-stuff/Makefile.in,
    debian/installer/package-manifest.browser, debian/noinstall.in,
    debian/rules, debian/test.mk: Stop building xulrunner packages.
  * debian/installer/package-manifest.xulrunner, debian/dh/*,
    debian/xulrunner*: Removed.
  * debian/browser.lintian-overrides.in: Add lintian override for embedded
    libpng with APNG support.
  * debian/rules: Make xpcshell executable in the SDK.
  * debian/copyright: Point to /usr/share/common-licenses/Apache-2.0 instead
    of including the whole license. Also fix a couple typos.

  * browser/components/migration/content/migration.js,
    browser/components/migration/content/migration.xul,
    browser/components/migration/src/BrowserProfileMigrators.manifest,
    browser/components/migration/src/FirefoxProfileMigrator.js,
    browser/components/migration/src/MigrationUtils.jsm,
    browser/components/migration/src/ProfileMigrator.js,
    browser/locales/en-US/chrome/browser/migration/migration.dtd,
    browser/locales/en-US/chrome/browser/migration/migration.properties,
    l10n-*/browser/chrome/browser/migration/migration.properties,
    toolkit/content/resetProfile.js, toolkit/modules/ResetProfile.jsm,
    toolkit/profile/nsIProfileMigrator.idl, toolkit/xre/nsAppRunner.cpp:
    Revert previous "Reset Firefox" changes.

