=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 PYTHON := python -B
 
 PRODUCT := browser
-PRODUCT_NAME := firefox
+PRODUCT_NAME ?= $(DEBIAN_SOURCE)
+OFFICIAL_NAME := firefox
 include debian/upstream.mk
 
 ifdef BACKPORT
@@ -24,31 +25,25 @@
 endif
 
 OFFICIAL_BRANDING := browser/branding/official
-ifeq ($(DEBIAN_SOURCE),$(PRODUCT_NAME))
+ifeq ($(OFFICIAL_NAME),$(PRODUCT_NAME))
 MOZILLA_OFFICIAL := 1
 # ESR, Beta and Releases use the official branding
-ifneq (,$(filter %-release %-beta,$(SOURCE_CHANNEL))$(findstring -esr,$(SOURCE_CHANNEL)))
+ifneq (,$(filter release beta esr%,$(SHORT_SOURCE_CHANNEL)))
 BRANDING := $(OFFICIAL_BRANDING)
 else
-ifneq (,$(filter %-aurora,$(SOURCE_CHANNEL)))
+ifneq (,$(filter aurora,$(SHORT_SOURCE_CHANNEL)))
 BRANDING := browser/branding/aurora
 else
-ifneq (,$(filter %-central,$(SOURCE_CHANNEL)))
+ifneq (,$(filter central,$(SHORT_SOURCE_CHANNEL)))
 BRANDING := browser/branding/nightly
 else
-$(error $(PRODUCT_NAME) branding for $(SOURCE_CHANNEL) is unsupported)
+$(error $(OFFICIAL_NAME) branding for $(SOURCE_CHANNEL) is unsupported)
 endif
 endif
 endif
 
 else
 BRANDING := debian/branding
-
-# Betas and Releases need to get MOZ_UA_BUILDID from the official branding
-ifneq (,$(filter %-release %-beta,$(SOURCE_CHANNEL)))
-include $(OFFICIAL_BRANDING)/configure.sh
-export MOZ_UA_BUILDID
-endif
 endif
 
 include $(BRANDING)/configure.sh
@@ -59,7 +54,7 @@
 
 # Define PRODUCT, product and Product variables (replacing product with the
 # actual value of $(PRODUCT))
-$(PRODUCT) := $(call lc,$(DEBIAN_SOURCE))
+$(PRODUCT) := $(call lc,$(PRODUCT_NAME))
 $(call uc,$(PRODUCT)) := $(call uc,$(subst ",,$(MOZ_APP_DISPLAYNAME)))
 Product := $(strip $(eval __tmp := $(PRODUCT))$(foreach l,$(letters),$(eval __tmp := $(subst $(l),$(l) ,$(__tmp))))$(call uc,$(firstword $(__tmp)))$(PRODUCT:$(firstword $(__tmp))%=%))
 $(Product) := $(subst ",,$(MOZ_APP_DISPLAYNAME))
@@ -78,7 +73,7 @@
 # spend an immense amount of time swapping.
 LDFLAGS += -Wl,--reduce-memory-overheads
 # Somehow, this breaks the build on ia64.
-ifeq (,$(filter alpha ia64,$(DEB_BUILD_ARCH)))
+ifeq (,$(filter ia64,$(DEB_BUILD_ARCH)))
 LDFLAGS += -Wl,--no-keep-memory
 endif
 # Also add execution time and memory usage stats in the logs
@@ -106,10 +101,6 @@
 	CONFIGURE_FLAGS += --enable-optimize=-O2
 endif
 
-ifneq (,$(filter alpha,$(DEB_BUILD_ARCH)))
-        CONFIGURE_FLAGS += --enable-optimize=-O1
-endif
-
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
 	CONFIGURE_FLAGS += --enable-debug
 endif
@@ -123,25 +114,23 @@
 ifeq (default,$(origin CXX))
 CXX := g++
 endif
+
+ifneq (,$(filter armhf,$(DEB_BUILD_ARCH)))
+CC := gcc-4.9
+CXX := g++-4.9
+endif
+
 CXXFLAGS = $(CFLAGS)
 
 EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL
 $(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))
-
-GENERATED_FILES += debian/dh/dh_xulrunner.1
 
 debian/$($(PRODUCT)).xpm: stamps/build-$(PRODUCT)
 	convert build-$(PRODUCT)/dist/bin/browser/chrome/icons/default/default32.png $@
 GENERATED_FILES += debian/$($(PRODUCT)).xpm
 
-debian/dh/dh_xulrunner.1: debian/dh/dh_xulrunner
-	pod2man -c Debhelper -r $(GRE_VERSION) $^ > $@
-
-build-xulrunner/dist/bin/npapi_getinfo: debian/dh/npapi_getinfo.c
-	$(CC) -o $@ $< -Ibuild-xulrunner/dist/include -ldl -lpthread -Wl,-rpath,\$$ORIGIN
-
-IN_FILES := $(wildcard debian/*.in debian/dh/*.in)
-ifeq ($(DEBIAN_SOURCE),$(PRODUCT_NAME))
+IN_FILES := $(wildcard debian/*.in)
+ifeq ($(OFFICIAL_NAME),$(PRODUCT_NAME))
 IN_FILES := $(filter-out debian/$($(PRODUCT)).in,$(IN_FILES))
 endif
 preprocessed_filename = $(subst $(PRODUCT),$($(PRODUCT)),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
@@ -162,7 +151,7 @@
 
 DICT_DIR := /usr/share/hunspell
 
-$(PREPROCESSED_FILES): VARS = GRE_VERSION DICT_DIR $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) LESS_SYSTEM_LIBS GSTREAMER_VERSION
+$(PREPROCESSED_FILES): VARS = GRE_VERSION DICT_DIR $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) LESS_SYSTEM_LIBS GSTREAMER_VERSION SHORT_SOURCE_CHANNEL OFFICIAL_NAME BACKPORT
 debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT
 $(PREPROCESSED_FILES):
 	$(PYTHON) python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< > $@
@@ -178,22 +167,15 @@
 			sed -i '2!b;/^#/ i\exec "/usr/share/misc/'$$file'" "$$@"' $$dir/$$file; \
 		done; \
 	done
+	autoconf2.13
+	cd js/src && autoconf2.13
 	chmod 755 configure js/src/configure
 
-stamps/configure-xulrunner:: stamps/prepare-configure debian/xulrunner.mozconfig
-	$(if $(wildcard build-xulrunner),,mkdir build-xulrunner)
-	cd build-xulrunner && \
-	MOZCONFIG=$(CURDIR)/debian/xulrunner.mozconfig \
-	ASFLAGS="-g" \
-	$(CONFIGURE_ENV) \
-	../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(CONFIGURE_FLAGS) \
-		--with-default-mozilla-five-home=/usr/lib/xulrunner-$(GRE_VERSION)
-
-stamps/configure-check-xulrunner:: stamps/configure-xulrunner
+stamps/configure-check-$(PRODUCT):: stamps/configure-$(PRODUCT)
 # Ensure --{with,enable}-system options properly set expected variables
 # according to the definitions in the mozconfig file.
 	@awk -F' *# *| *$$' ' \
-	BEGIN { confs="$(foreach d,config js/src/config,$(foreach f,autoconf.mk emptyvars.mk,$(CURDIR)/build-xulrunner/$(d)/$(f)))" } \
+	BEGIN { confs="$(foreach f,autoconf.mk emptyvars.mk,$(CURDIR)/build-$(PRODUCT)/config/$(f))" } \
 	$$1 ~ /system/ { \
 		if (! $$2) { \
 			print FILENAME ": Missing variable for",$$1; \
@@ -208,16 +190,39 @@
 			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \
 		} \
 	} \
-	END { if (error) { exit 1 }}' debian/xulrunner.mozconfig
-
-stamps/build-xulrunner:: stamps/configure-check-xulrunner
-	dh_auto_build --parallel --builddirectory=build-xulrunner -- \
-		_LEAKTEST_FILES=leaktest.py
-
-stamps/configure-$(PRODUCT):: stamps/build-xulrunner debian/$($(PRODUCT)).mozconfig
+	END { if (error) { exit 1 }}' debian/$($(PRODUCT)).mozconfig
+
+stamps/configure-$(PRODUCT):: stamps/prepare-configure debian/$($(PRODUCT)).mozconfig
 	$(if $(wildcard build-$(PRODUCT)),,mkdir build-$(PRODUCT))
 	cd build-$(PRODUCT) && \
 	MOZCONFIG=$(CURDIR)/debian/$($(PRODUCT)).mozconfig \
+	ASFLAGS="-g" \
 	$(CONFIGURE_ENV) \
 	../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(CONFIGURE_FLAGS) \
-		--with-libxul-sdk=$(CURDIR)/build-xulrunner/dist \
+		--with-default-mozilla-five-home=$(LIB_DIR) \
+		$(BRANDING_CONFIGURE_FLAG)
+
+stamps/build-$(PRODUCT):: stamps/configure-check-$(PRODUCT)
+	dh_auto_build --parallel --builddirectory=build-$(PRODUCT) -- \
+		_LEAKTEST_FILES=leaktest.py
+
+ifeq (1,)
+ifneq ($(OFFICIAL_NAME),$(PRODUCT_NAME))
+build-$(PRODUCT)/%/filelist: stamps/build-$(PRODUCT) build-$(PRODUCT)/%/Makefile
+	rm -rf build-$(PRODUCT)/$*/dist
+	$(MAKE) -C build-$(PRODUCT)/$* MOZ_CHROME_FILE_FORMAT=flat DIST=$(CURDIR)/build-$(PRODUCT)/$*/dist BRANDING_TEST=1
+	cd build-$(PRODUCT)/$*/dist/bin && find -type f | sort > $(CURDIR)/$@
+
+stamps/build-check-branding:: build-$(PRODUCT)/$(OFFICIAL_BRANDING)/filelist build-$(PRODUCT)/$(BRANDING)/filelist
+# Ensure the iceweasel branding contains everything it's supposed to
+	diff $^
+endif
+endif
+
+L10N_BUILD_STAMPS = $(foreach lang,$(L10N_LANGS),stamps/build-l10n-$(lang))
+stamps/build-l10n:: $(L10N_BUILD_STAMPS)
+
+stamps/configure-l10n:: stamps/prepare-configure
+	$(if $(wildcard build-l10n),,mkdir build-l10n)
+	$(if $(wildcard l10n),,mkdir -p l10n)
+	cd build-l10n && \
